Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
smartcard::CardReaderManager_1_0_2 Interface Reference

Card Reader Manager Interface. More...

`import"CardReaderManager.idl";`

## Public Member Functions
vector< CardReader_1_0_2 > | getCardReaders ()
| Retrieve the list of connected card readers. More...
CardReader_1_0_2 | getCardReaderById (in string readerId)
| Get card reader for a specific id. More...

## Public Attributes
valueobject | CardReaderEvent: idl::Event { CardReader_1_0_2 cardReader
| Card Reader base event. More...
valueobject | CardReaderAttachedEvent: CardReaderEvent {}
| Card Reader attached event.
valueobject | CardReaderDetachedEvent: CardReaderEvent {}
| Card Reader detached event.

## Detailed Description

Card Reader Manager Interface.

## Member Function Documentation

## ◆ getCardReaderById()

CardReader_1_0_2 smartcard::CardReaderManager_1_0_2::getCardReaderById | ( | in string | readerId | ) |

Get card reader for a specific id.

Parameters

  readerId | card reader id

Returns
  Card Reader with given id or null

## ◆ getCardReaders()

vector<CardReader_1_0_2> smartcard::CardReaderManager_1_0_2::getCardReaders | ( |  | ) |

Retrieve the list of connected card readers.

Returns
  Card Readers list

## Member Data Documentation

## ◆ CardReaderEvent

valueobject smartcard::CardReaderManager_1_0_2::CardReaderEvent

Card Reader base event.

affected card reader

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/CardReaderManager.idl